GNU Radio's IRIDIUM_TOOLKIT Package: gr::iridium::iridium_qpsk_demod_cpp_impl Class Reference

GNU Radio's IRIDIUM_TOOLKIT Package

Public Member Functions | List of all members
gr::iridium::iridium_qpsk_demod_cpp_impl Class Reference

`#include <iridium_qpsk_demod_cpp_impl.h>`

Inheritance diagram for gr::iridium::iridium_qpsk_demod_cpp_impl:
[legend]

## Public Member Functions
| iridium_qpsk_demod_cpp_impl ()
| ~iridium_qpsk_demod_cpp_impl ()
uint64_t | get_n_handled_bursts ()
uint64_t | get_n_access_ok_bursts ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
virtual uint64_t | get_n_handled_bursts ()=0
virtual uint64_t | get_n_access_ok_bursts ()=0

## Additional Inherited Members
Public Types inherited from gr::iridium::iridium_qpsk_demod_cpp
typedef boost::shared_ptr< iridium_qpsk_demod_cpp > | sptr
Static Public Member Functions inherited from gr::iridium::iridium_qpsk_demod_cpp
static sptr | make ()
| Return a shared_ptr to a new instance of iridium::iridium_qpsk_demod_cpp. More...

## Constructor & Destructor Documentation

## ◆ iridium_qpsk_demod_cpp_impl()

gr::iridium::iridium_qpsk_demod_cpp_impl::iridium_qpsk_demod_cpp_impl | ( |  | ) |

## ◆ ~iridium_qpsk_demod_cpp_impl()

gr::iridium::iridium_qpsk_demod_cpp_impl::~iridium_qpsk_demod_cpp_impl | ( |  | ) |

## Member Function Documentation

## ◆ get_n_access_ok_bursts()

uint64_t gr::iridium::iridium_qpsk_demod_cpp_impl::get_n_access_ok_bursts | ( |  | ) |
| virtual

Implements gr::iridium::iridium_qpsk_demod_cpp.

## ◆ get_n_handled_bursts()

uint64_t gr::iridium::iridium_qpsk_demod_cpp_impl::get_n_handled_bursts | ( |  | ) |
| virtual

Implements gr::iridium::iridium_qpsk_demod_cpp.

## ◆ work()

int gr::iridium::iridium_qpsk_demod_cpp_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- iridium_qpsk_demod_cpp_impl.h